Name:           reproc
Version:        14.2.3
Release:        1%{?dist}
Summary:        Library that simplifies communication with external programs.

License:        GPLv3
URL:            https://github.com/DaanDeMeyer/reproc
Source0:        https://github.com/DaanDeMeyer/%{name}/archive/v%{version}.tar.gz

BuildRequires:  git
BuildRequires:  gcc
BuildRequires:  cmake

%description
reproc (Redirected Process) is a cross-platform C/C++ library that simplifies
starting, stopping and communicating with external programs.

The main use case is executing command line applications directly from C or C++
code and retrieving their output.

%package devel
Requires: %{name}%{?_isa} = %{version}-%{release}
Summary: Development files for reproc

%description devel
reproc (Redirected Process) is a cross-platform C/C++ library that simplifies
starting, stopping and communicating with external programs.

The main use case is executing command line applications directly from C or C++
code and retrieving their output.

Provides files for building applications against reproc.

%prep
%autosetup -Sgit

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md
%{_libdir}/lib%{name}.*

%files devel
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}/*
%{_includedir}/%{name}/*



%changelog
* Tue Aug 17 2021 Olivier Samyn <code@oleastre.be> - 14.2.3-1
- New upstream release

* Wed Feb 03 2021 Olivier Samyn 🎻 <code@oleastre.be> - 14.2.2-1
- new version

* Thu Oct 01 2020 Olivier Samyn 🎻 <code@oleastre.be>
- Initial fedora package
